Subject: Re: [PATCH net 0/2] ipv4: harden against ihl < 5 IP_HDRINCL packets

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 May 2026 15:59:38 -0700

On Tue, 12 May 2026 16:51:13 -0400 Michael Bommarito wrote:
> 1/2 ipv4: raw: reject IP_HDRINCL packets with ihl < 5
> 
>     Upstream-of-AH fix.  An IPv4 header with ihl < 5 is malformed
>     by definition (RFC 791) and must not be allowed to continue
>     along the in-stack output path.  This is the primary fix.

I believe this part is uncontroversial and doesn't have to wait
for the rest of the discussion to shake out. So applying it now.
Please shout if i shouldn't have